summaryrefslogtreecommitdiffstats
path: root/tools/test-setup.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-14 20:04:50 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-14 20:04:50 +0000
commit782f8df6e41f29dce2db4970a3ad84aaeb7d8c5f (patch)
tree3a88a542cd8074743d251881131510157cfc510b /tools/test-setup.sh
parentInitial commit. (diff)
downloadansible-lint-782f8df6e41f29dce2db4970a3ad84aaeb7d8c5f.tar.xz
ansible-lint-782f8df6e41f29dce2db4970a3ad84aaeb7d8c5f.zip
Adding upstream version 4.3.7.upstream/4.3.7upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'tools/test-setup.sh')
-rwxr-xr-xtools/test-setup.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/tools/test-setup.sh b/tools/test-setup.sh
new file mode 100755
index 0000000..170cd99
--- /dev/null
+++ b/tools/test-setup.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+set -euxo pipefail
+# Used by Zuul CI to perform extra bootstrapping
+
+# sudo used only because currently zuul default tox_executable=tox instead of
+# "python3 -m tox"
+# https://zuul-ci.org/docs/zuul-jobs/python-roles.html#rolevar-ensure-tox.tox_executable
+
+# Install pip if not already install on the system
+python3 -m pip --version || {
+ curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py
+ sudo python3 get-pip.py
+}
+
+# Workaround until ensure-tox will allow upgrades
+# https://review.opendev.org/#/c/690057/
+sudo python3 -m pip install -U tox